first cut at turnon scripts for EasyTimer v2
[fw/altos] / ao-bringup / turnon_telegps
index 123f0b548655ed086aab21eafcf6821edde6aef2..45f8fcf5a847d14842120198cb8cf0c651edb555 100755 (executable)
@@ -1,10 +1,12 @@
 #!/bin/sh
 
-if [ -x /usr/bin/ao-flash-lpc ]; then
-       FLASH_LPC=/usr/bin/ao-flash-lpc
+if [ -x ../ao-tools/ao-flash/ao-flash-lpc ]; then
+        FLASH_LPC=../ao-tools/ao-flash/ao-flash-lpc
+elif [ -x /usr/bin/ao-flash-lpc ]; then
+        FLASH_LPC=/usr/bin/ao-flash-lpc
 else
-       echo "Can't find ao-flash-lpc!  Aborting."
-       exit 1
+        echo "Can't find ao-flash-lpc!  Aborting."
+        exit 1
 fi
 
 if [ -x /usr/bin/ao-usbload ]; then
@@ -14,13 +16,13 @@ else
        exit 1
 fi
 
-VERSION=1.0
 PRODUCT=TeleGPS
+VERSION=3.0
 BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
 echo $FILE
 
 echo "$PRODUCT v$VERSION Turn-On and Calibration Program"
-echo "Copyright 2014 by Bdale Garbee.  Released under GPL v2"
+echo "Copyright 2023 by Bdale Garbee.  Released under GPL v3"
 echo
 echo "Expectations:"
 echo "\t$PRODUCT v$VERSION powered from USB"
@@ -45,20 +47,20 @@ esac
 #
 # Use released versions of everything
 #
-FLASH_FILE=~/altusmetrumllc/Binaries/loaders/telegps-v1.0-altos-flash-*.elf
-ALTOS_FILE=~/altusmetrumllc/Binaries/telegps-v1.0-*.elf
+FLASH_FILE=~/altusmetrumllc/Binaries/loaders/telegps-v3.0-altos-flash-*.elf
+ALTOS_FILE=~/altusmetrumllc/Binaries/telegps-v3.0-*.elf
 
 echo $FLASH_LPC $FLASH_FILE
 
 $FLASH_LPC $FLASH_FILE || exit 1
 
-sleep 2
+sleep 1
 
 echo $USBLOAD $ALTOS_FILE
 
 $USBLOAD --serial=$SERIAL $ALTOS_FILE || exit 1
 
-sleep 2
+sleep 1
 
 dev=`ao-list | awk '/TeleGPS-v'"$VERSION"'/ { print $3; exit(0); }'`
 
@@ -72,10 +74,11 @@ case "$dev" in
         ;;
 esac
 
-echo 'E 0' > $dev
-
-./test-telegps
+CALFILE=cal-$SERIAL.txt
+../ao-tools/ao-cal-freq/ao-cal-freq --output=$CALFILE --tty=$dev
+CAL_VALUE=`cat $CALFILE`
+echo $SERIAL","$CAL_VALUE >> cal_values
 
-SERIAL=$SERIAL ./cal-freq $dev
+./test-telegps-v3
 
 exit $?